spring:
  profiles:
    active: dev
  application:
    name: HeartRate

  #修改thymeleaf访问根路径
  thymeleaf:
    prefix: classpath:/templates/
    cache: false

  #mvc接收参数时对日期进行格式化

  mvc:
    servlet:
      load-on-startup: 100
    format:
      date: yyyy-MM-dd HH:mm:ss

  #jackson对响应回去的日期参数进行格式化
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8

    #打印SQL
  jpa:
    show-sql: true

  #模板设置
  freemarker:
    template-loader-path: ["classpath:/templates/"] # 设置ftl文件路径
    cache: false  # 设置页面缓存
    charset: UTF-8 # 设置页面编码格式
    check-template-location: true
    content-type: text/html # 设置文档类型
    expose-request-attributes: false
    expose-session-attributes: false
    request-context-attribute: req #可以让Freemarker获取项目根路经
    suffix: .ftl # 设置模板后缀名

    # 设置静态文件路径，js,css等
    mvc:
      static-path-pattern: /static/**

  #设置返回时间格式，时间差
  #  jackson:
  #    time-zone: GMT+8
  #    date-format: yyyy-MM-dd HH:mm:ss

  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 200MB

  #邮箱
  mail:
    #默认smtp服务主机，UTF-8编码
    host: smtp.163.com
    username: sweetdontcry@163.com
    password: OUKALCMEBAFSIAVH
    test-connection: true
    properties:
      mail:
        smtp:
          ssl:
            enable: true
          auth: true
          starttls:
            enable: true
            required: true
    port: 465

# token 参数
jwt:
  secret: 123456      # 密钥
  expiration: 7200000   # 过期时间
  token: token #Authorization  # 请求头


#url 前缀
server:
  port: 9090 #定义一个端口
  max-http-header-size: 8192
  tomcat:
    max-http-header-size: 8192

    multipart:
      max-file-size: 10MB
      max-request-size: 20MB

#阿里云
aliyun:
  #公共
  accessKeyId: LTAI4FxD7T4x5BSxoQvbYkdR
  AccessKeySecret: FZRhkmzXJ1lwcosNszVHr5VLW0lxic
  #oss服务
  usingDomain: false #是否使用自有域名，不使用自有域名的话，默认endpoint
  endpoint: oss-cn-beijing.aliyuncs.com
  domainName: http://yuyekeji.cn
  #  bucketName: bbeng-bucket #分环境，创建
  fileHost: host #默认存储地方
  fileAvatar: avatar #头像文件夹名字
  filePublicAvatar: publicAvatar #公共头像文件夹
  fileGameIcon: gameIcon #游戏icon图片
  filePictures: pictures #其他图库文件夹

  #sms短信服务
  regionId: cn-hangzhou
  signName: 哔蹦游戏减脂平台
  templateCode: SMS_183200249

#游戏设置
game:
  endTime: "2020-12-01" #游戏显示时间

Fc:
  endTime: "2020-12-01" #游戏显示时间


RSA:
  friendId:
    publicKey: "MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAIwMDfG4GUv1C4SwMLwORs__pdX-8Z7ftprn6HU-GwjV7AheHhwwVq-5kCbu_zruJZSHY-gLpSbNCLulNU6sJYECAwEAAQ"
    privateKey: "MIIBVQIBADANBgkqhkiG9w0BAQEFAASCAT8wggE7AgEAAkEAjAwN8bgZS_ULhLAwvA5Gz_-l1f7xnt-2mufodT4bCNXsCF4eHDBWr7mQJu7_Ou4llIdj6AulJs0Iu6U1TqwlgQIDAQABAkAf3IY3ngizTTano2YTArR9kc3q16uk14S1zVkHg2-nHJ29ssveNeb8bPg012WhtNltIbr2MsL4_X-Rg7tmM8ihAiEAzSTAIl8SlmHXUnmsvXImq2nVDrIYuNutcpPtZq313d0CIQCuxAQDWEPzSuWhMg5T5YNUFbIFrpZ-5HmUl60lcFeF9QIhAKfjUscObcTbEAB0idWFTXZtp6teP_NR_bJOtDSbXCOVAiEApP1ayImYxOQNe6vVCPFhlY1R3rlfTPaHrXewN-siRc0CIH06t7CE3KQQKv1p1UdEJjPm685ES8IRuFdJEiGJZiex"

cache: '{"user":60,"dept":30}'  #自定义某些缓存空间的过期时间

apple:
  KID: 8G9994KW4L
  TEAM_ID: CT63XZVXP2
  BUNDLE_IDENTIFIER: com.YuyeTech.HeartRate
  REVOKE_TOKENS_URL: https://appleid.apple.com/auth/revoke
  AUTH_TOKENS_URL: https://appleid.apple.com/auth/token
  KEYS_URL: https://appleid.apple.com/auth/keys